<div class="container" fxLayout="row" fxLayoutAlign="center none">
  <div fxFlex="95%">





    <div>
      <mat-card>
        <mat-card-content>
          <h2>Add a new goal to {{productName}}</h2>

          <form [formGroup]="addGoalForm" >


            <div fxLayout="row">

              <div fxFlex="40%" fxFlex.md="60%" fxFlex.sm="50%" fxFlex.xs="100%">

                <mat-form-field class="full-width">
                  <mat-label>Goal Title</mat-label>
                  <input matInput placeholder="Title" formControlName="title" >
                </mat-form-field>

                <mat-form-field class="full-width">
                  <mat-label>Goal Description</mat-label>
                  <textarea matInput placeholder="Description" formControlName="description" ></textarea>
                </mat-form-field>


                <button mat-raised-button color="primary"  (click)="addGoal()">Add Goal</button>


              </div>

            </div>

          </form>

        </mat-card-content>
      </mat-card>
    </div>
    <h2>Goals of {{productName}}</h2>

    <div>
      <mat-accordion>
        <mat-expansion-panel *ngFor="let goal of goals; last as last">
          <mat-expansion-panel-header>
            <mat-panel-title>
              {{ goal.title }}
            </mat-panel-title>
            <mat-panel-description>
              {{ goal.description }}
            </mat-panel-description>
          </mat-expansion-panel-header>
          <h3>Initiatives</h3>
          <mat-divider></mat-divider>


          <p matListItemLine *ngFor="let initiative of goal.initiatives">
            <span>{{ initiative.title }}</span>
            <span class="demo-2"> -- {{ initiative.successCriteria }}</span>
          </p>
          <button
            mat-flat-button
            color="accent"
            routerLink="/initiative-home/{{goal.id}}"
          >
            <mat-icon>open_in_new</mat-icon>Initiatives
          </button>
          <!-- <mat-divider [inset]="true" *ngIf="!last"></mat-divider> -->
        </mat-expansion-panel>
      </mat-accordion>
    </div>






  </div>
</div>

